> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://contentful.com/developers/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/developers/docs/_mcp/server.

# Archive an asset

PUT https://api.contentful.com/spaces/{space_id}/environments/{environment_id}/assets/{asset_id}/archived

Archives an asset, removing it and its CDN files. CDN removal can take up to 48 hours.

Reference: https://contentful.com/developers/docs/references/content-management-api/assets/archive-an-asset

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `space_id` (string, required) — ID of the Space in form of a string
- `environment_id` (string, required) — ID of the environment in form of a string
- `asset_id` (string, required) — ID of the Asset in form of a string

### Headers

- `X-Contentful-Version` (string, optional) — Version of the asset to archive

## Response

### 200

OK - Request successful

- `map from string to any`

## Examples

**Response**

```json
{
  "fields": {
    "file": {
      "en-US": {
        "contentType": "image/jpeg",
        "fileName": "example.jpeg",
        "upload": "https://example.com/example.jpg"
      }
    },
    "title": {
      "en-US": "Playsam Streamliner"
    }
  },
  "metadata": {
    "tags": [
      {
        "sys": {
          "id": "nyCampaign",
          "linkType": "Tag",
          "type": "Link"
        }
      }
    ]
  },
  "sys": {
    "createdAt": "2025-11-09T17:24:16.000Z",
    "createdBy": {
      "sys": {
        "id": "7BslKh9TdKGOK41VmLDjFZ",
        "linkType": "User",
        "type": "Link"
      }
    },
    "environment": {
      "sys": {
        "id": "staging",
        "linkType": "Environment",
        "type": "Link"
      }
    },
    "id": "wtrHxeu3zEoEce2MokCSi",
    "space": {
      "sys": {
        "id": "yadj1kx9rmg0",
        "linkType": "Space",
        "type": "Link"
      }
    },
    "type": "Asset",
    "updatedAt": "2025-11-09T17:24:16.000Z",
    "updatedBy": {
      "sys": {
        "id": "4FLrUHftHW3v2BLi9fzfjU",
        "linkType": "User",
        "type": "Link"
      }
    },
    "version": 1
  }
}
```

**SDK Code**

```android Android
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

client
    .assets()
    .async()
    .fetchOne("<asset_id>", new CMACallback<CMAAsset>() {
      @Override protected void onSuccess(CMAAsset asset) {
        client
            .assets()
            .async()
            .delete(
                asset,
                new CMACallback<Integer>() {
                  @Override protected void onSuccess(Integer result) {
                    // Do something with the result.
                    new AlertDialog.Builder(context)
                        .setTitle("Contentful")
                        .setMessage("Assets archived." +
                            "\n\nResult: " + result)
                        .show();
                  }

                  @Override protected void onFailure(RuntimeException exception) {
                    // An error occurred! Inform the user.
                    new AlertDialog.Builder(context)
                        .setTitle("Contentful Error")
                        .setMessage("Asset could not be archived." +
                            "\n\nReason: " + exception.toString())
                        .show();

                    super.onFailure(exception);
                  }
                }
            );
      }

      @Override protected void onFailure(RuntimeException exception) {
        // An error occurred! Inform the user.
        new AlertDialog.Builder(context)
            .setTitle("Contentful Error")
            .setMessage("Asset could not be fetched." +
                "\n\nReason: " + exception.toString())
            .show();

        super.onFailure(exception);
      }
    });
```

```java Java
// Create the Contentful client.
final CMAClient client =
    new CMAClient
        .Builder()
        .setAccessToken("<access_token>")
        .setSpaceId("<space_id>")
        .setEnvironmentId("<environment_id>")
        .build();

// Fetch an existing asset.
final CMAAsset asset =
    client
        .assets()
        .fetchOne("<asset_id>");

// Archive it.
final CMAAsset archive =
    client
        .assets()
        .archive(asset);
```

```kotlin Kotlin
// Create the Contentful client.
val client = CMAClient.Builder()
    .setAccessToken("<access_token>")
    .setSpaceId("<space_id>")
    .setEnvironmentId("<environment_id>")
    .build()

// Fetch an existing asset.
val asset = client
        .assets()
        .fetchOne("<asset_id>")

// Archive it.
val archive = client
        .assets()
        .archive(asset)
```

```swift Swift
We currently don't provide a CMA SDK for this platform.
```

```js-legacy JavaScript (legacy)
import { createClient } from 'contentful-management'

const client = createClient({
  accessToken: '<content_management_api_key>'
}, { type: 'legacy' })

client.getSpace('<space_id>')
.then((space) => space.getEnvironment('<environment_id>'))
.then((environment) => environment.getAsset('<asset_id>'))
.then((asset) => asset.archive())
.then((asset) => console.log(`Asset ${asset.sys.id} archived.`))
.catch(console.error)
```

```javascript JavaScript
import { createClient } from 'contentful-management'

// Client init
const client = contentful.createClient({
  accessToken: '<content_management_api_key>'
})

const asset = await client.asset.archive({
  spaceId: '<space_id>',
  environmentId: '<environment_id>',
  assetId: '<asset_id>',
});
```

```php PHP
$client = new \Contentful\Management\Client('<content_management_api_key>');

$environment = $client->getEnvironmentProxy('<space_id>', '<environment_id>');

$asset = $environment->getAsset('<asset_id>');
$asset->archive();
```

```ruby Ruby
require 'contentful/management'

client = Contentful::Management::Client.new('<content_management_api_key>')

asset = client.assets('<space_id>', '<environment_id>').find('<asset_id>')
asset.archive
```

```python Python
from contentful_management import Client

client = Client('<content_management_api_key>')

asset = client.assets('<space_id>', '<environment_id>').find('<asset_id>')
asset.archive()
```

```.net .NET
// This client should only be created once per application.
var httpClient = new HttpClient();

var client = new ContentfulManagementClient(httpClient, "<content_management_api_key>", "<space_id>");

int version = 2;
await client.ArchiveAsset("<asset_id>", version);
```